#!/bin/bash

mcm_adv_diag_telit_info() {
    #USB endpoint configuration:
    mmcli_at "AT#USBCFG?"

    #Serial port configuration:
    mmcli_at "AT#PORTCFG?"

    #Enable RX Diversity and set DARP
    mmcli_at "AT#RXDIV?"

    #Swap RX from main to diversity
    mmcli_at "AT#RXTOGGLE?"

    #General Purpose Input/Output Pin Control
    mmcli_at "AT#GPIO?"

    #Hardware Identification
    mmcli_at "AT#HWREV"

    #Query SIM Status
    mmcli_at "AT#QSS?"

    #Cell Monitor
    mmcli_at "AT#MONI=7"
    mmcli_at "AT#MONI"

    _logger "*********************** NW Reject ***********************"
    #Extended Error Report for Network Reject Cause
    mmcli_at "AT#CEERNET"

    _logger "*********************** MM/RRC Status *******************"
    #RFSTS: <PLMN>,<EARFCN>,<RSRP>,<RSSI>,<RSRQ>,<TAC>,[<TXPWR>],<DRX>,<MM>,<RRC>,<CID>,<IMSI>,[<NetNameAsc>],<SD>,<ABND>,<SINR>
    mmcli_at "AT#RFSTS"

    #Last serving cell network information:
    mmcli_at "AT#SERVINFO"

    #List default data connection details:
    mmcli_at "AT#BND?"

    #Request Software Package Version
    mmcli_at "AT#SWPKGV"

    #Automatic Band Selection
    mmcli_at "AT#AUTOBND?"

    #GPRS Auto-Attach Property
    mmcli_at "AT#AUTOATT?"
}
